// Stencil
import { h } from "@stencil/core";
export class PlacePresentationMap {
    constructor() {
        // Props
        this.locationTitle = '';
    }
    ////////////////////////////////////////////////////////////////
    // Render
    ////////////////////////////////////////////////////////////////
    render() {
        return (h("div", null,
            h("h4", { class: 'place-section-title' }, this.locationTitle),
            h("div", { class: "map-container" },
                h("slot", { name: "map-container" }))));
    }
    static get is() { return "place-presentation-map"; }
    static get originalStyleUrls() { return {
        "$": ["place-presentation-map.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["place-presentation-map.css"]
    }; }
    static get properties() { return {
        "locationTitle": {
            "type": "string",
            "mutable": true,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "location-title",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
